<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

if (!defined('BASEDIR')) {
  include_once '..' . DIRECTORY_SEPARATOR . 'constants.php';
}


class DBWorkHLPosition extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'id, name, sort';
    $this->_dataModulFields = array('name', 'id', 'sort');
    $this->orderby = 'sort';
    $this->orderbyasc = true;
    $this->orderby2 = 'name';
    $this->orderbyasc2 = true;
  }

  
  public function getNewObject()
  {
    return new HLPosition();
  }

  public function getTableName(): string
  {
    return 'hlposition';
  }
}